#pragma once
#include "Entity.h"
#define CS_SPRINKLER_CREATENAME L"CS_sprinkler"
class CS_Sprinkler :
    public Entity
{
public:
    CS_Sprinkler();
    void Step() override;
    void SetState(int stateID, int lr) override;
    int ani_wait = 0;
    int ani_no = 0;
};

std::shared_ptr<Entity> CreateCS_Sprinkler();